image: node:latest

stages:
  - test
  - build
  - deploy

cache:
  paths:
    - node_modules/

include:
  template: Serverless.gitlab-ci.yml

test:
  script:
    - npm install
    - npm test

build:
  extends: .serverless:build:image

deploy_staging:
  stage: deploy
  extends: .serverless:deploy:image

deploy_prod:
  stage: deploy
  extends: .serverless:deploy:image
  environment:
    name: production
  when: manual
  only:
  - master
